GIMP

bridged with qdn.public.qnxrtp.porting
Post Reply
Steve Strube

GIMP

Post by Steve Strube » Tue Sep 18, 2001 3:52 am

Has anyone tried to run GIMP on a QNX box?
if so, what do you need to do to get it to compile?
Thanks,
Steve

Sergey V. Sobolev

Re: GIMP

Post by Sergey V. Sobolev » Mon Apr 22, 2002 5:37 am

"Steve Strube" <seeclean@home.com> wrote in message
news:9o6g23$pa6$1@inn.qnx.com...
Has anyone tried to run GIMP on a QNX box?
if so, what do you need to do to get it to compile?
I had get it (1.2) compiled on QNX 6.1 box with static GLib-GTK. But I can't
get it running - it says "LibGimp-ERROR **: unable to set handler for signal
18".

Chris McKillop

Re: GIMP

Post by Chris McKillop » Mon Apr 22, 2002 8:05 am

You can also just get a pre-compiled version from my repository. Add
http://qnx.wox.org/repository/6.1/ to your Package Installer repository list
and install away!

chris


Sergey V. Sobolev <ssobolev@volgasoft.net> wrote:
"Steve Strube" <seeclean@home.com> wrote in message
news:9o6g23$pa6$1@inn.qnx.com...
Has anyone tried to run GIMP on a QNX box?
if so, what do you need to do to get it to compile?
I had get it (1.2) compiled on QNX 6.1 box with static GLib-GTK. But I can't
get it running - it says "LibGimp-ERROR **: unable to set handler for signal
18".

--
Chris McKillop <cdm@qnx.com> "The faster I go, the behinder I get."
Software Engineer, QSSL -- Lewis Carroll --
http://qnx.wox.org/

Guest

Re: GIMP

Post by Guest » Mon Apr 22, 2002 9:56 am

Chris McKillop <cdm@qnx.com> wrote:
You can also just get a pre-compiled version from my repository. Add
http://qnx.wox.org/repository/6.1/ to your Package Installer repository list
and install away!
Did you have to make any source tweaks to get it compile/work?
If so, are the patches submitted? or do you have it something for
people to download?

Frank
chris
Sergey V. Sobolev <ssobolev@volgasoft.net> wrote:

"Steve Strube" <seeclean@home.com> wrote in message
news:9o6g23$pa6$1@inn.qnx.com...
Has anyone tried to run GIMP on a QNX box?
if so, what do you need to do to get it to compile?
I had get it (1.2) compiled on QNX 6.1 box with static GLib-GTK. But I can't
get it running - it says "LibGimp-ERROR **: unable to set handler for signal
18".



--
Chris McKillop <cdm@qnx.com> "The faster I go, the behinder I get."
Software Engineer, QSSL -- Lewis Carroll --
http://qnx.wox.org/

Chris McKillop

Re: GIMP

Post by Chris McKillop » Mon Apr 22, 2002 11:46 am

fliu@bb.vipstage.com wrote:
Chris McKillop <cdm@qnx.com> wrote:
You can also just get a pre-compiled version from my repository. Add
http://qnx.wox.org/repository/6.1/ to your Package Installer repository list
and install away!

Did you have to make any source tweaks to get it compile/work?
If so, are the patches submitted? or do you have it something for
people to download?
Not that I remember. It was all ./configure options. When I hit something
that did build work (pluings) I just took them out of the build rather
then try to figure out why they failed.

chris


--
Chris McKillop <cdm@qnx.com> "The faster I go, the behinder I get."
Software Engineer, QSSL -- Lewis Carroll --
http://qnx.wox.org/

Chris McKillop

Re: GIMP

Post by Chris McKillop » Thu Apr 25, 2002 6:45 am


I have no failed modules on compiling, since I wrote stubs(not
implementation) for getdomainname(), setdomainname() which is required, but
I can't get it running.
Version that available from site won't run on XFree on my box.
And one more question - How did you get shared libraries (libgtk,libglib) on
QNX??
libtoolize -f


chris

--
Chris McKillop <cdm@qnx.com> "The faster I go, the behinder I get."
Software Engineer, QSSL -- Lewis Carroll --
http://qnx.wox.org/

Guest

Re: GIMP

Post by Guest » Thu Apr 25, 2002 4:29 pm

Sergey Sobolev <ssobolev@volgasoft.net> wrote:
I have no failed modules on compiling, since I wrote stubs(not
implementation) for getdomainname(), setdomainname() which is required, but
I can't get it running.
Version that available from site won't run on XFree on my box.
And one more question - How did you get shared libraries (libgtk,libglib) on
QNX??
You can download the glib/gtk binary that is compiled against XFree
from http://www.sourceforge.net/projects/openqnx

once you get the file, you can install it
cd /
tar zxvf gtk.glib-1.2.10-binary-qnx6.tar.gz

this will create /opt/openqnx directory with all files.
You will need to add /opt/openqnx/bin to your PATH and /opt/openqnx/lib
to your LD_LIBRARY_PATH

Good luck.

Frank

Post Reply

Return to “qdn.public.qnxrtp.porting”